# $Id: monit.spec,v 1.15 2004/02/13 09:35:26 homyakov Exp $

# handle initscript style change (c) mike@ :)
%define dist_tag %nil

%if_with Master
%define dist_tag Master
%endif

%if_with Sisyphus
%define dist_tag Sisyphus
%endif

%if "%dist_tag" == ""
%define dist_tag %(cut -d" " -f3 < /etc/altlinux-release)
%endif


Name: 		monit
Version: 	4.1.1
Release: alt1.1

Summary: 	    	Process monitor and restart utility
Summary(ru_RU.KOI8-R):      

License: 	GPL
Group: 		System/Servers
Url: 		http://www.tildeslash.com/monit/
Packager:       Igor Homyakov <homyakov at altlinux dot ru>

Source0: http://www.tildeslash.com/monit/dist/%name-%version.tar.gz
Source1: monit.init.Master
Source2: monit.init.Sisyphus

Source3: monitrc.alt
Source4: %name.cnf
Source5: README.Certificate-Creation

PreReq: coreutils, openssl

Requires(post,preun): chkconfig

%if "%dist_tag" == "Master" 
Requires(post,preun): initscripts
%else
Requires(post,preun): service
%endif

# Automatically added by buildreq on Thu Feb 12 2004
BuildRequires: flex libssl-devel

%description
monit is an utility for monitoring daemons or similar programs running on
a Unix system. It will start specified programs if they are not running
and restart programs not responding.

%description  -l ru_RU.KOI8-R
Monit       (  )
   UNIX. Monit    :
  -   
  -   ()
  -   (SMTP,POP3,IMAP,NNTP,HTTP,SSH,FTP)
  -      
  -   


%prep
%if "%dist_tag" == ""
echo "*** Unable to determine target distribution"
echo "*** use --with Master or --with Sisyphus"
exit 1
%endif

%setup -q

%build

%define _ssldir %_var/lib/ssl
%define _pemdir %_ssldir/certs

%configure

%make_build

%install
%makeinstall DESTDIR=%buildroot

%__cat %SOURCE3 >>%{name}rc

%if "%dist_tag" == "Master"
	%__install -pD -m755 %SOURCE1  %buildroot%_initdir/%name
%else 
	%__install -pD -m755 %SOURCE2  %buildroot%_initdir/%name
%endif

%__install -pD -m600 %{name}rc %buildroot%_sysconfdir/%{name}rc
%__install -pD -m644 %SOURCE4  %buildroot%_ssldir/%name.cnf

%__mkdir_p %buildroot%_pemdir
touch %buildroot%_pemdir/%name.pem

%post
cd %_pemdir
if [ ! -f %name.pem ]; then
	umask 077
	echo -e '\n.\n.\n.\n.\n.\n' |
	openssl req -newkey rsa:1024 -x509 -days 365 -nodes \
		-config %_ssldir/%name.cnf \
		-keyout %name.pem -out %name.pem &>/dev/null
fi

%post_service %name

%preun
%preun_service %name

%files
%doc README* FAQ.txt CHANGES.txt LICENSE STATUS

%ghost %attr(600,root,root) %config(noreplace,missingok) %_pemdir/*
%config(noreplace) %_sysconfdir/%{name}rc
%config(noreplace) %_ssldir/%name.cnf
%config            %_initdir/%name

%_bindir/%name
%_man1dir/%name.1.*

%changelog
* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 4.1.1-alt1.1
- Rebuilt with openssl-0.9.7d.

* Fri Feb 13 2004 Igor Homyakov <homyakov at altlinux dot ru> 4.1.1-alt1
- 4.1.1
- move daemon to %_bindir directory
- new SysV startup script
- update default config file
- s!/etc/init.d/!/sbin/service !
- fixed forbiden requires for fileutils

* Wed Dec 25 2002 Igor Homyakov <homyakov at altlinux dot ru> 3.1-alt1
- 3.1
- cleanups for ALT package policy
- update system config file
- add ssl files
- add patch from CVS (calculation of the daylight saving)

* Tue Sep 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 3.0-alt1
- 3.0-alt1
- fixed little bug in config file
- strict permissions to config file

* Wed Jul 18 2002 Igor Homyakov <homyakov at altlinux dot ru> 2.5-alt1
- build package for ALT Linux distribution
- added ALT specific config file and startup script

* Wed Jul 10 2002 Rory Toma <rory@digeo.com>
- Upgraded to monit-2.4.3

* Mon Feb 05 2001 Clinton Work <work@scripty.com>
- Upgraded to monit 1.2
- Use chkconfig to add monit to the rc.d startup scripts
- Use the example monitrc instead of my custom monit.conf
- Fixed the monit homepage URL

* Thu Feb 01 2001 Clinton Work <work@scripty.com>
- Create the inital spec file
- Created a sample config file and a rc startup script
